<?php

namespace App\Repositories;

use A17\Twill\Repositories\Behaviors\HandleRevisions;
use A17\Twill\Repositories\ModuleRepository;
use App\Models\Letter;

class LetterRepository extends ModuleRepository
{
    use HandleRevisions;

    public function __construct(Letter $model)
    {
        $this->model = $model;
    }

    public function afterSave($object, $fields)
    {
        $this->updateBrowser($object, $fields, 'writers');
        parent::afterSave($object, $fields);
    }

    public function getFormFields($object)
    {
        $fields = parent::getFormFields($object);
        $fields['browsers']['writers'] = $this->getFormFieldsForBrowser($object, 'writers');
        return $fields;
    }
}
